//--[ BOOTSTRAP MINIMAL-STACK ]---------------------------

// Core CSS
@import "../Build/node_modules/bootstrap/scss/functions";

@import "../Build/node_modules/bootstrap/scss/mixins";
@import "../Build/node_modules/bootstrap/scss/variables";
@import "variables";

// Reset and dependencies
@import "../Build/node_modules/bootstrap/scss/grid";
//---------------------------------------------------------

div.typo3-login {
  background: #f7f7f7 url('/typo3conf/ext/tnm_package_edw/Resources/Public/Backend/Images/login-screen.png') no-repeat 0 0;
  background-size: cover;

  div.panel-login {
    $panel-border-color: #333;

    &> .panel-body {
      padding: 0.5em 1.5em;

      .typo3-login-logo {
        &:before {
          content: '';
          display: block;
          height: 30px;
          margin-bottom: 15px;
          padding: 0 0 15px 0;
          background: url('/typo3conf/ext/tnm_package_edw/Resources/Public/Backend/Images/-Black-Logo.svg') no-repeat center top;
        }

        &> a:before {
          content: '';
          display: block;
          padding-bottom: 15px;
          margin: 0 -17px;
          border-top: 1px solid #dedede;
        }
      }

      #typo3-login-form {
        .btn-login {
          color: #fff;
          background-color: #333;
        }
      }
    }

    &> .panel-footer {
      display: none;
    }
  }
}

div.module-body {
  .t3-grid-container {
    .t3-page-ce {
      &> .t3-page-ce-dragitem {
        & > .t3-page-ce-body {
          &> .t3-page-ce-body-inner {
            .exampleContent {
              // Kill white-space in Preview
              h1, h2, h3, h4, h5, h6, p {
                &:first-child {
                  margin-top: 0;
                  padding-top: 0;
                }
              }
            }
          }
        }
      }
    }

    /**
     * Backend-Layout Tweaking
     * giving some white-space for better usage
     */
    &> table.t3-page-columns {
      &> tbody {
        & > tr {
          & > td {
            &.t3-page-column {
              & > .t3-page-column-header {
                padding-top: 40px;
              }
            }
          }
        }

        &> tr:first-child {
          &> td:first-child {
            &.t3-page-column {
              & > .t3-page-column-header {
                padding-top: 0;
              }
            }
          }
        }
      }
    }
  }
}
